Summary:	The configuration files for setting up a caching name server.
Name:		caching-nameserver
Version:	8.1
Release:	2mdk
License:	Public Domain
Group:		System/Configuration/Networking
Source0:	ftp://FTP.RS.INTERNIC.NET/domain/named.root
Source1:	named.boot
Source2:	named.local
Source3:	named.conf
Source4:	Copyright.caching-nameserver
Prereq:		bind >= 9.2.0-0.a3.2mdk textutils grep
Requires(post):	bind >= 9.2.0-0.a3.2mdk textutils grep
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch: 	noarch

%description
The caching-nameserver package includes the configuration files which
will make BIND, the DNS name server, act as a simple caching nameserver.
Many users on dialup connections use this package along with BIND for
such a purpose.

If you would like to set up a caching name server, you'll need to install
the caching-nameserver package; you'll also need to install bind.

%prep
%setup -c -T

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_sysconfdir},%{_var}/named}

install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{_var}/named/named.ca
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/named.boot
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_var}/named/named.local
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/named.conf
install -m 644 %{SOURCE4} ./Copyright

%clean
rm -rf $RPM_BUILD_ROOT

%post
if grep -q ^nameserver /etc/resolv.conf; then
	echo "nameserver 127.0.0.1" >> /etc/resolv.conf
fi
[[ -e /usr/sbin/update_bind.pl ]] && /usr/sbin/update_bind.pl

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/named.boot
%config(noreplace) %{_sysconfdir}/named.conf
%attr(-,named,named) %config %{_var}/named/named.ca
%attr(-,named,named) %config %{_var}/named/named.local
%doc Copyright

%changelog
* Mon Oct 01 2001 Yoann Vandoorselaere <yoann@mandrakesoft.com> 8.1-2mdk
- Fix #4068: 
  Modified named.local to tadd a default TTL as per the bind v9 docs.
  Credit for this patch go to (I don't have the real email address :
  <mandrake-bugs@martinjsimmons.netscapeonline.co.uk> 

* Wed Aug 08 2001 Yves Duret <yduret@mandrakesoft.com> 8.1-1mdk
- fixed with bind-9 and drakgw
- added update_bind.pl in %%post
- added Prereq and Requires(post) to bind >= 9.2.0-0.a3.2mdk textutils grep
- bumbed to version 8.1 as some has not understand the numbering scheme

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 6.2-8mdk
- fix acl (localhost -> any)

* Tue Mar 13 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 6.2-7mdk
- make it work with bind-9

* Mon Oct 09 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 6.2-6mdk
- reverse change made to resolv.conf

* Mon Oct 09 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 6.2-5mdk
- Update resolv.conf (bug #68)

* Fri Oct 6 2000 Philippe Libat <philippe@mandrakesoft.com> 6.2-4mdk
- change user/group of var/named
- new macros

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.2-3mdk
- BM, use new macros

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 6.2-2mdk
- mdk version.

* Fri Feb 24 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 6.2-1mdk
- mdk version.

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- if there are no nameserver lines in /etc/resolv.conf, add one
- add a Copyright file

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuilt for the 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- install bind-8.1.2 named.conf

* Mon May 04 1998 Donnie Barnes <djb@redhat.com>
- upgraded from 1.1 to 5.1 to make caching-nameserver version the same
  as the version of Red Hat that it runs on.  
- updated named.root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- updated named.root to latest
- updated copyright

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
